package com.spider.quartz.service.impl;

import java.util.List;
import com.spider.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.spider.quartz.mapper.JapanUnqualifiedGoodsZhMapper;
import com.spider.quartz.domain.JapanUnqualifiedGoodsZh;
import com.spider.quartz.service.IJapanUnqualifiedGoodsZhService;

/**
 * 日本不合格商品展示-翻译Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-05
 */
@Service
public class JapanUnqualifiedGoodsZhServiceImpl implements IJapanUnqualifiedGoodsZhService 
{
    @Autowired
    private JapanUnqualifiedGoodsZhMapper japanUnqualifiedGoodsZhMapper;

    /**
     * 查询日本不合格商品展示-翻译
     * 
     * @param id 日本不合格商品展示-翻译主键
     * @return 日本不合格商品展示-翻译
     */
    @Override
    public JapanUnqualifiedGoodsZh selectJapanUnqualifiedGoodsZhById(Long id)
    {
        return japanUnqualifiedGoodsZhMapper.selectJapanUnqualifiedGoodsZhById(id);
    }

    /**
     * 查询日本不合格商品展示-翻译列表
     * 
     * @param japanUnqualifiedGoodsZh 日本不合格商品展示-翻译
     * @return 日本不合格商品展示-翻译
     */
    @Override
    public List<JapanUnqualifiedGoodsZh> selectJapanUnqualifiedGoodsZhList(JapanUnqualifiedGoodsZh japanUnqualifiedGoodsZh)
    {
        return japanUnqualifiedGoodsZhMapper.selectJapanUnqualifiedGoodsZhList(japanUnqualifiedGoodsZh);
    }

    /**
     * 新增日本不合格商品展示-翻译
     * 
     * @param japanUnqualifiedGoodsZh 日本不合格商品展示-翻译
     * @return 结果
     */
    @Override
    public int insertJapanUnqualifiedGoodsZh(JapanUnqualifiedGoodsZh japanUnqualifiedGoodsZh)
    {
        japanUnqualifiedGoodsZh.setCreateTime(DateUtils.getNowDate());
        return japanUnqualifiedGoodsZhMapper.insertJapanUnqualifiedGoodsZh(japanUnqualifiedGoodsZh);
    }

    /**
     * 修改日本不合格商品展示-翻译
     * 
     * @param japanUnqualifiedGoodsZh 日本不合格商品展示-翻译
     * @return 结果
     */
    @Override
    public int updateJapanUnqualifiedGoodsZh(JapanUnqualifiedGoodsZh japanUnqualifiedGoodsZh)
    {
        japanUnqualifiedGoodsZh.setUpdateTime(DateUtils.getNowDate());
        return japanUnqualifiedGoodsZhMapper.updateJapanUnqualifiedGoodsZh(japanUnqualifiedGoodsZh);
    }

    /**
     * 批量删除日本不合格商品展示-翻译
     * 
     * @param ids 需要删除的日本不合格商品展示-翻译主键
     * @return 结果
     */
    @Override
    public int deleteJapanUnqualifiedGoodsZhByIds(Long[] ids)
    {
        return japanUnqualifiedGoodsZhMapper.deleteJapanUnqualifiedGoodsZhByIds(ids);
    }

    /**
     * 删除日本不合格商品展示-翻译信息
     * 
     * @param id 日本不合格商品展示-翻译主键
     * @return 结果
     */
    @Override
    public int deleteJapanUnqualifiedGoodsZhById(Long id)
    {
        return japanUnqualifiedGoodsZhMapper.deleteJapanUnqualifiedGoodsZhById(id);
    }
}
